Skip to main content
GET
/
v1
/
volumes
/
{id}
/
attachments
List sandbox attachments for a volume
import requests

url = "https://api.13-215-85-171.sslip.io/v1/volumes/{id}/attachments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
[
  {
    "id": "<string>",
    "volume_id": "<string>",
    "sandbox_id": "<string>",
    "mount_path": "<string>",
    "read_only": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "subpath": "<string>",
    "last_error_code": "<string>",
    "last_error_message": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Volume ID

Response

Volume attachment inventory

id
string
required
volume_id
string
required
sandbox_id
string
required
mount_path
string
required

Normalized sandbox mount path for the attached volume.

read_only
boolean
required
state
enum<string>
required
Available options:
requested,
mounting,
mounted,
paused,
remounting,
unmounted,
releasing,
released,
failed
created_at
string<date-time>
required
updated_at
string<date-time>
required
subpath
string | null
last_error_code
string | null
last_error_message
string | null